Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.fst
Class MEMM.TransitionIterator

    java.lang.Object
      cc.mallet.fst.Transducer.TransitionIterator
          cc.mallet.fst.CRF.TransitionIterator
              cc.mallet.fst.MEMM.TransitionIterator

All Implemented Interfaces:
  java.io.Serializable, java.util.Iterator<Transducer.State>

Enclosing class:
  MEMM

    protected static class MEMM.TransitionIterator

extends CRF.TransitionIterator
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary

Fields inherited from class cc.mallet.fst.CRF.TransitionIterator
`weights`

Constructor Summary
`MEMM.TransitionIterator(MEMM.State source, FeatureVectorSequence inputSeq, int inputPosition, java.lang.String output, CRF memm)`
`MEMM.TransitionIterator(MEMM.State source, FeatureVector fv, java.lang.String output, CRF memm)`

Method Summary
`java.lang.String` | `describeTransition(double cutoff)`

Methods inherited from class cc.mallet.fst.CRF.TransitionIterator
`getDestinationState, getIndex, getInput, getOutput, getSourceState, getWeight, hasNext, nextState`

Methods inherited from class cc.mallet.fst.Transducer.TransitionIterator
`getInputPositionIncrement, getOutputPositionIncrement, getTransducer, next, numberNext, remove`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MEMM.TransitionIterator

    public MEMM.TransitionIterator(MEMM.State source,
                                   FeatureVectorSequence inputSeq,
                                   int inputPosition,
                                   java.lang.String output,
                                   CRF memm)

### MEMM.TransitionIterator

    public MEMM.TransitionIterator(MEMM.State source,
                                   FeatureVector fv,
                                   java.lang.String output,
                                   CRF memm)

Method Detail

### describeTransition

    public java.lang.String describeTransition(double cutoff)

  Overrides:
    `describeTransition` in class `CRF.TransitionIterator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD